Bug 579089 - "_XAllocID: Assertion `ret != inval_id' failed." inside XCreatePixmap running /home/eddie/.screenlets/CPU_Meter/CPU_MeterScreenlet.py
"_XAllocID: Assertion `ret != inval_id' failed." inside XCreatePixmap running...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:23e624d94d172a52c0da1842261...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-02 11:04 EDT by Eddie Lania
Modified: 2010-07-05 02:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-05 02:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (43.86 KB, text/plain)
2010-04-02 11:04 EDT, Eddie Lania
no flags Details

  None (edit)
Description Eddie Lania 2010-04-02 11:04:47 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: python -u /home/eddie/.screenlets/CPU_Meter/CPU_MeterScreenlet.py
component: python
executable: /usr/bin/python
kernel: 2.6.32.9-70.fc12.i686.PAE
package: python-2.6.2-4.fc12
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)
Comment 1 Eddie Lania 2010-04-02 11:04:49 EDT
Created attachment 404194 [details]
File: backtrace
Comment 2 Dave Malcolm 2010-04-02 13:06:18 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q cairo pygtk2 gtk2

Looking at the backtrace, it looks like an assertion failed inside frame 3 of the program's single thread inside _XAllocID, and it appears to be a pygtk2 application.

Reassigning component from "python" to "gtk2";  hopefully the gtk2 maintainer will be able to figure this out further or reassign as necessary.
Comment 3 Eddie Lania 2010-04-02 14:49:30 EDT
rpm -q cairo pygtk2 gtk2 produces:

cairo-1.8.8-3.fc12.i686
pygtk2-2.16.0-1.fc12.i686
gtk2-2.18.9-2.fc12.i686

It is not very reproducible, the error only appears now and then.

I most certainly do not know how to reproduce it. Launching the app by hand does not reveal any useful information.

On the other side, it is not a major issue. I have not seen it since 30th of march.

I have a few screenlets running that are started automatically and I think the error is being generated when I log out or shutdown the system while these screenlets still are running.
Comment 4 Matthias Clasen 2010-05-24 12:41:54 EDT
Segfaults involving _XAllocID go to libxcb

Note You need to log in before you can comment on or make changes to this bug.